OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.CopyImage

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVCopyImage :: MonadIO m => m Bool
- gl_NV_copy_image :: Bool
- glCopyImageSubDataNV :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetNVCopyImage :: MonadIO m => m Bool

Is the NV_copy_image extension supported?

gl_NV_copy_image :: Bool

Is the NV_copy_image extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVCopyImage` in those cases instead.

# Functions

glCopyImageSubDataNV

Arguments

:: MonadIO m |
=> GLuint | `srcName`.
-> GLenum | `srcTarget`.
-> GLint | `srcLevel`.
-> GLint | `srcX`.
-> GLint | `srcY`.
-> GLint | `srcZ`.
-> GLuint | `dstName`.
-> GLenum | `dstTarget`.
-> GLint | `dstLevel`.
-> GLint | `dstX`.
-> GLint | `dstY`.
-> GLint | `dstZ`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |